Hilfe

0

ValueError: External ID not found in the system: uom.product_uom_kgm

Got this error on products:
---------------------------------

Fehler:

 Server Error


Traceback (most recent call last):

  File "/opt/odoo12/odoo/odoo/api.py", line 1039, in get

    value = self._data[key][field][record._ids[0]]

KeyError: 84


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/odoo12/odoo/odoo/fields.py", line 980, in __get__

    value = record.env.cache.get(record, self)

  File "/opt/odoo12/odoo/odoo/api.py", line 1041, in get

    raise CacheMiss(record, field)

odoo.exceptions.CacheMiss: ('product.template(84,).weight_uom_name', None)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/odoo12/odoo/odoo/api.py", line 1039, in get

    value = self._data[key][field][record._ids[0]]

KeyError: 84


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/odoo12/odoo/odoo/fields.py", line 980, in __get__

    value = record.env.cache.get(record, self)

  File "/opt/odoo12/odoo/odoo/api.py", line 1041, in get

    raise CacheMiss(record, field)

odoo.exceptions.CacheMiss: ('product.template(84,).weight_uom_id', None)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/odoo12/odoo/odoo/tools/cache.py", line 88, in lookup

    r = d[key]

  File "/opt/odoo12/odoo/odoo/tools/func.py", line 69, in wrapper

    return func(self, *args, **kwargs)

  File "/opt/odoo12/odoo/odoo/tools/lru.py", line 44, in __getitem__

    a = self.d[obj].me

KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7fde437e3488>, 'uom.product_uom_kgm')


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/odoo12/odoo/odoo/http.py", line 654, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/odoo12/odoo/odoo/http.py", line 312, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/opt/odoo12/odoo/odoo/tools/pycompat.py", line 87, in reraise

    raise value

  File "/opt/odoo12/odoo/odoo/http.py", line 696, in dispatch

    result = self._call_function(**self.params)

  File "/opt/odoo12/odoo/odoo/http.py", line 344, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/opt/odoo12/odoo/odoo/service/model.py", line 97, in wrapper

    return f(dbname, *args, **kwargs)

  File "/opt/odoo12/odoo/odoo/http.py", line 337, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/odoo12/odoo/odoo/http.py", line 939, in __call__

    return self.method(*args, **kw)

  File "/opt/odoo12/odoo/odoo/http.py", line 517, in response_wrap

    response = f(*args, **kw)

  File "/opt/odoo12/odoo/addons/web/controllers/main.py", line 962, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/opt/odoo12/odoo/addons/web/controllers/main.py", line 954, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/odoo12/odoo/odoo/api.py", line 749, in call_kw

    return _call_kw_multi(method, model, args, kwargs)

  File "/opt/odoo12/odoo/odoo/api.py", line 736, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/opt/odoo12/odoo/odoo/models.py", line 2787, in read

    vals[name] = convert(record[name], record, use_name_get)

  File "/opt/odoo12/odoo/odoo/models.py", line 5097, in __getitem__

    return self._fields[key].__get__(self, type(self))

  File "/opt/odoo12/odoo/odoo/fields.py", line 984, in __get__

    self.determine_value(record)

  File "/opt/odoo12/odoo/odoo/fields.py", line 1095, in determine_value

    self.compute_value(recs)

  File "/opt/odoo12/odoo/odoo/fields.py", line 1051, in compute_value

    self._compute_value(records)

  File "/opt/odoo12/odoo/odoo/fields.py", line 1044, in _compute_value

    self.compute(records)

  File "/opt/odoo12/odoo/odoo/fields.py", line 609, in _compute_related

    values = [first(value[name]) for value in values]

  File "/opt/odoo12/odoo/odoo/fields.py", line 609, in <listcomp>

    values = [first(value[name]) for value in values]

  File "/opt/odoo12/odoo/odoo/models.py", line 5097, in __getitem__

    return self._fields[key].__get__(self, type(self))

  File "/opt/odoo12/odoo/odoo/fields.py", line 984, in __get__

    self.determine_value(record)

  File "/opt/odoo12/odoo/odoo/fields.py", line 1095, in determine_value

    self.compute_value(recs)

  File "/opt/odoo12/odoo/odoo/fields.py", line 1051, in compute_value

    self._compute_value(records)

  File "/opt/odoo12/odoo/odoo/fields.py", line 1042, in _compute_value

    getattr(records, self.compute)()

  File "/opt/odoo12/odoo/addons/product/models/product_template.py", line 286, in _compute_weight_uom_id

    weight_uom_id = self._get_weight_uom_id_from_ir_config_parameter()

  File "/opt/odoo12/odoo/addons/product/models/product_template.py", line 283, in _get_weight_uom_id_from_ir_config_parameter

    return self.env.ref('uom.product_uom_kgm')

  File "/opt/odoo12/odoo/odoo/api.py", line 854, in ref

    return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found)

  File "/opt/odoo12/odoo/odoo/addons/base/models/ir_model.py", line 1413, in xmlid_to_object

    t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)

  File "/opt/odoo12/odoo/odoo/addons/base/models/ir_model.py", line 1397, in xmlid_to_res_model_res_id

    return self.xmlid_lookup(xmlid)[1:3]

  File "<decorator-gen-25>", line 2, in xmlid_lookup

  File "/opt/odoo12/odoo/odoo/tools/cache.py", line 93, in lookup

    value = d[key] = self.method(*args, **kwargs)

  File "/opt/odoo12/odoo/odoo/addons/base/models/ir_model.py", line 1386, in xmlid_lookup

    raise ValueError('External ID not found in the system: %s' % xmlid)

ValueError: External ID not found in the system: uom.product_uom_kgm

---------------------

Any idea ? I guess someone deleted a reference

Avatar
Verwerfen
1 Antwort
0
Best Answer

Upps, vielleicht besser auf Englisch fragen ;-)
Habe diesen Fehler, wenn ich ein Produkt öffne:
.........................

Error:

 Serverfehler


Traceback (letzter Anruf zuletzt):

  Datei "/opt/odoo12/odoo/odoo/api.py", Zeile 1039, in get

    value = self._data [key] [field] [record._ids [0]]

KeyError: 50


Während der Behandlung der obigen Ausnahme ist eine weitere Ausnahme aufgetreten:


Traceback (letzter Anruf zuletzt):

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 980, in __get__

    value = record.env.cache.get (record, self)

  Datei "/opt/odoo12/odoo/odoo/api.py", Zeile 1041, in get

    CacheMiss erhöhen (Datensatz, Feld)

odoo.exceptions.CacheMiss: ('product.template (50,). weight_uom_name', None)


Während der Behandlung der obigen Ausnahme ist eine weitere Ausnahme aufgetreten:


Traceback (letzter Anruf zuletzt):

  Datei "/opt/odoo12/odoo/odoo/api.py", Zeile 1039, in get

    value = self._data [key] [field] [record._ids [0]]

KeyError: 50


Während der Behandlung der obigen Ausnahme ist eine weitere Ausnahme aufgetreten:


Traceback (letzter Anruf zuletzt):

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 980, in __get__

    value = record.env.cache.get (record, self)

  Datei "/opt/odoo12/odoo/odoo/api.py", Zeile 1041, in get

    CacheMiss erhöhen (Datensatz, Feld)

odoo.exceptions.CacheMiss: ('product.template (50,). weight_uom_id', None)


Während der Behandlung der obigen Ausnahme ist eine weitere Ausnahme aufgetreten:


Traceback (letzter Anruf zuletzt):

  Datei "/opt/odoo12/odoo/odoo/tools/cache.py", Zeile 88, in Lookup

    r = d [Schlüssel]

  Datei "/opt/odoo12/odoo/odoo/tools/func.py", Zeile 69, im Wrapper

    return func (self, * args, ** kwargs)

  Datei "/opt/odoo12/odoo/odoo/tools/lru.py", Zeile 44, in __getitem__

    a = self.d [obj] .me

KeyError: ('ir.model.data', <Funktion IrModelData.xmlid_lookup bei 0x7fc986ef8c80>, 'uom.product_uom_kgm')


Während der Behandlung der obigen Ausnahme ist eine weitere Ausnahme aufgetreten:


Traceback (letzter Anruf zuletzt):

  Datei "/opt/odoo12/odoo/odoo/http.py", Zeile 654, in _handle_exception

    return super (JsonRequest, self) ._ handle_exception (Ausnahme)

  Datei "/opt/odoo12/odoo/odoo/http.py", Zeile 312, in _handle_exception

    Erhöhen Sie pycompat.reraise (Typ (Ausnahme), Ausnahme, sys.exc_info () [2])

  Datei "/opt/odoo12/odoo/odoo/tools/pycompat.py", Zeile 87, in reraise

    Wert steigern

  Datei "/opt/odoo12/odoo/odoo/http.py", Zeile 696, im Versand

    Ergebnis = self._call_function (** self.params)

  Datei "/opt/odoo12/odoo/odoo/http.py", Zeile 344, in _call_function

    Rückgabe von checked_call (self.db, * args, ** kwargs)

  Datei "/opt/odoo12/odoo/odoo/service/model.py", Zeile 97, im Wrapper

    return f (Datenbankname, * args, ** kwargs)

  Datei "/opt/odoo12/odoo/odoo/http.py", Zeile 337, in verify_call

    Ergebnis = self.endpoint (* a, ** kw)

  Datei "/opt/odoo12/odoo/odoo/http.py", Zeile 939, in __call__

    return self.method (* args, ** kw)

  Datei "/opt/odoo12/odoo/odoo/http.py", Zeile 517, in response_wrap

    Antwort = f (* args, ** kw)

  Datei "/opt/odoo12/odoo/addons/web/controllers/main.py", Zeile 962, in call_kw

    return self._call_kw (Modell, Methode, Argumente, kwargs)

  Datei "/opt/odoo12/odoo/addons/web/controllers/main.py", Zeile 954, in _call_kw

    return call_kw (request.env [Modell], Methode, Argumente, kwargs)

  Datei "/opt/odoo12/odoo/odoo/api.py", Zeile 749, in call_kw

    return _call_kw_multi (Methode, Modell, Argumente, kwargs)

  Datei "/opt/odoo12/odoo/odoo/api.py", Zeile 736, in _call_kw_multi

    Ergebnis = Methode (recs, * args, ** kwargs)

  Datei "/opt/odoo12/odoo/odoo/models.py", Zeile 2787, in read

    waltz [name] = convert (record [name], record, use_name_get)

  Datei "/opt/odoo12/odoo/odoo/models.py", Zeile 5097, in __getitem__

    return self._fields [key] .__ get __ (self, type (self))

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 984, in __get__

    self.determine_value (Datensatz)

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 1095, in determin_value

    self.compute_value (recs)

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 1051, in compute_value

    self._compute_value (Datensätze)

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 1044, in _compute_value

    self.compute (Datensätze)

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 609, in _compute_related

    Werte = [zuerst (Wert [Name]) für Wert in Werten]

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 609, in <listcomp>

    Werte = [zuerst (Wert [Name]) für Wert in Werten]

  Datei "/opt/odoo12/odoo/odoo/models.py", Zeile 5097, in __getitem__

    return self._fields [key] .__ get __ (self, type (self))

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 984, in __get__

    self.determine_value (Datensatz)

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 1095, in determin_value

    self.compute_value (recs)

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 1051, in compute_value

    self._compute_value (Datensätze)

  Datei "/opt/odoo12/odoo/odoo/fields.py", Zeile 1042, in _compute_value

    getattr (records, self.compute) ()

  Datei "/opt/odoo12/odoo/addons/product/models/product_template.py", Zeile 286, in _compute_weight_uom_id

    weight_uom_id = self._get_weight_uom_id_from_ir_config_parameter ()

  Datei "/opt/odoo12/odoo/addons/product/models/product_template.py", Zeile 283, in _get_weight_uom_id_from_ir_config_parameter

    return self.env.ref ('uom.product_uom_kgm')

  Datei "/opt/odoo12/odoo/odoo/api.py", Zeile 854, in Lit.

    return self ['ir.model.data']. xmlid_to_object (xml_id, raise_if_not_found = raise_if_not_found)

  Datei "/opt/odoo12/odoo/odoo/addons/base/models/ir_model.py", Zeile 1413, in xmlid_to_object

    t = self.xmlid_to_res_model_res_id (xmlid, raise_if_not_found)

  Datei "/opt/odoo12/odoo/odoo/addons/base/models/ir_model.py", Zeile 1397, in xmlid_to_res_model_res_id

    return self.xmlid_lookup (xmlid) [1: 3]

  Datei "<decorator-gen-25>", Zeile 2, in xmlid_lookup

  Datei "/opt/odoo12/odoo/odoo/tools/cache.py", Zeile 93, in Lookup

    value = d [key] = self.method (* args, ** kwargs)

  Datei "/opt/odoo12/odoo/odoo/addons/base/models/ir_model.py", Zeile 1386, in xmlid_lookup

    Erhöhen Sie ValueError ('Externe ID im System nicht gefunden:% s'% xmlid)

ValueError: Externe ID im System nicht gefunden: uom.product_uom_kgm
--------------------------------------
Any idea how to fix this error ? currently nothing works, even adding new products raise the same error.

Avatar
Verwerfen